module ActiveSupport
  class CustomLogger
    class Railtie < Rails::Railtie
      initializer "before_initialize" do |app|
        app.config.log_tags = [
          lambda { |r| r.uuid[0..7] },
          lambda { |r| Process.pid }
        ]        
      end
    end
  end
end